Bug 850937 - Non-responsive maintainer
Summary: Non-responsive maintainer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawiki
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-22 19:46 UTC by Patrick Uiterwijk
Modified: 2014-01-21 06:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-27 20:36:26 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 seth vidal 2012-08-22 19:48:36 UTC
I attempted to contact him via google plus. He has been on there b/c he links to a lot of things and posts - but he didn't reply.

Comment 2 Patrick Uiterwijk 2012-08-26 17:53:11 UTC
There has been at least one other discussion about Axel Thimm being unresponsive at: http://lists.fedoraproject.org/pipermail/devel/2011-March/149922.html

Comment 3 Patrick Uiterwijk 2012-08-30 04:50:09 UTC
As of yet, nothing has been received from the maintainer.

Could you please respond?

Comment 4 Patrick Uiterwijk 2012-09-04 09:49:45 UTC
The result of the user_activity.py script with --user athimm --email axel.thimm@atrpms.net:


Last login in FAS:
   athimm 2012-01-16
Last action on koji:
   Sat, 02 Jun 2012 package list entry created: apt in trashcan by oscar [still active]
Last package update on bodhi:
   None on package None
Last email on mailing list:
   2011-04-21 gmane.linux.redhat.fedora.devel
   2009-08-09 gmane.linux.redhat.fedora.desktop
   2007-06-17 gmane.linux.redhat.fedora.epel.devel
   2009-10-24 gmane.linux.redhat.fedora.extras.packaging
   2009-12-15 gmane.linux.redhat.fedora.general
   2009-10-05 gmane.linux.redhat.fedora.infrastructure
   88 bugs assigned, cc or on which axel.thimm@atrpms.net commented
Last comment on the most recent ticket on bugzilla:
  #677050 2011-04-09 Axel Thimm

Comment 5 Patrick Uiterwijk 2012-09-05 13:08:42 UTC
As of yet, nothing has been received from the maintainer.

An email has been sent to the devel mailing list (http://lists.fedoraproject.org/pipermail/devel/2012-September/171349.html).

Could you please respond?

Comment 6 Axel Thimm 2012-09-05 15:35:29 UTC
Hi Patrick,

sorry for the late response - I'd very much like you to attack the upgrade of mediawiki. I alreday tried a couple of weeks ago and it isn't quite trivial, but two brains work better than one. :)

Thanks to Eric for pointing me to this today, and also to Seth for doing the same on G+ (which I don't really check for mail).

BTW for private communication, please to use my email Axel.Thimm@ATrpms.net. :)

Comment 7 Joel 2012-11-23 17:44:47 UTC
Has there been any progress on getting this upgraded?

Comment 8 Joel 2012-11-23 17:47:51 UTC
There are also these two CVE collection bug reports pending

https://bugzilla.redhat.com/show_bug.cgi?id=853447
https://bugzilla.redhat.com/show_bug.cgi?id=853446

Looking forward to an update!

Comment 9 Michael Cronenworth 2013-01-26 16:56:29 UTC
I'm officially starting this process again. After attempting to work with him to get mediawiki updated he has stopped responding to my e-mails.

Comment 10 Volker Fröhlich 2013-02-08 14:53:05 UTC
Did you notice mediawiki119?

Comment 11 Michael Cronenworth 2013-02-08 15:58:19 UTC
(In reply to comment #10)
> Did you notice mediawiki119?

That should not have been put into Fedora, Volker. It was meant for RHEL (EPEL) only. This request is to get "mediawiki" (not "mediawiki119") updated.

My plan is to get "mediawiki" updated to 1.19 for Fedora 17 and 18. Rawhide will see 1.20+.

The current version (1.16) is a security hazard.

Comment 12 Patrick Uiterwijk 2013-02-08 16:34:14 UTC
mediawiki119 is the updated (I maintain that one), but was only meant for usage for Infrastructure internal use.
We did also push it to F18 because of the outdated mediawiki package in Fedora.

Comment 13 Fedora Admin XMLRPC Client 2013-02-27 19:16:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Michael Cronenworth 2013-02-27 20:36:26 UTC
I will begin work on pushing updated packages in a few hours.


Note You need to log in before you can comment on or make changes to this bug.